List transactions
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Query Parameters
dateFrom?string
Start date (YYYY-MM-DD).
dateTo?string
End date (YYYY-MM-DD).
limit?number
Items per page (max 1000).
Default
10page?number
Page number (default 1).
Default
1id?string
Transaction ID.
status?string
Status da transação. Aceita CSV: PENDING,COMPLETED,etc.
type?string
Tipo da transação. Aceita CSV: DEPOSIT,WITHDRAW,COMMISSION.
amount?number
Amount filter.
document?string
CPF (11 dígitos) ou CNPJ (14 dígitos), apenas números sem formatação.
Match
^[0-9]{11,14}$name?string
Name filter.
endToEndId?string
Pix end-to-end ID.
sortBy?string
Field to sort by
Default
"createdAt"Value in
"createdAt" | "updatedAt"sortDirection?string
Sort direction
Default
"desc"Value in
"asc" | "desc"clientReference?string
Filter by external reference
virtualAccount?string
Subconta virtual (até 50 caracteres) usada na criação. Aceito como chave de busca alternativa.
Length
length <= 50Header Parameters
Content-Type*string
Obrigatório em toda chamada Saq.
Default
"application/json"Value in
"application/json"Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.saq.processamento.com/v1/user/transactions?dateFrom=2025-08-01&dateTo=2025-08-17&limit=10&page=1&id=SAQ2025081418333632CYKN8M&status=COMPLETED&type=DEPOSIT&amount=15000&document=12345678901&name=Alice&endToEndId=E00360305202508141833bcf1f37b487" \ -H "Content-Type: application/json"{
"total": 104,
"pages": 2,
"transactions": [
{
"id": "SAQ202511061998787515D0PH2Y",
"amount": 10,
"status": "PENDING",
"type": "DEPOSIT",
"callbackUrl": "https://webhook.site/9cdd5879-5767-4e95-bf57-1ac29e0ad3d7",
"qrCodeText": "00020126860014br.gov.bcb.pix2564qrcode.saq.com.br/pix/84f95c33-3c86-4708-87f1-0e09b96b35795204000053039865802BR5908PAYZPLUS6009SAO PAULO62070503***63048227",
"qrCodeBase64": null,
"qrCodeUrl": "https://pix.saq.com.br/v1/pix/qr-code/SAQ202511061998787515D0PH2Y",
"serviceFeeCharged": 0.115,
"payerDocument": null,
"payerName": null,
"payerInstitutionIspb": null,
"payerInstitutionName": null,
"receiverDocument": null,
"receiverName": null,
"receiverInstitutionIspb": null,
"receiverInstitutionName": null,
"generatedDocument": "00000000191",
"generatedName": "THIAGO SILVA",
"generatedEmail": null,
"endToEndId": null,
"withdrawPixKey": null,
"withdrawPixType": null,
"paidAt": null,
"createdAt": "2025-11-06T22:06:19.598Z",
"updatedAt": "2025-11-06T22:06:19.598Z",
"clientReference": "order_12345",
"refundEndToEndId": null,
"refundAmount": null,
"refundStatus": null,
"refundReason": null,
"refundDescription": null,
"refundedAt": null,
"cancellationReason": null
},
{
"id": "SAQ202511061998787515D0PH2Y",
"amount": 5.5,
"status": "ERROR",
"type": "WITHDRAW",
"callbackUrl": "https://webhook.site/9cdd5879-5767-4e95-bf57-1ac29e0ad3d7",
"qrCodeText": null,
"qrCodeBase64": null,
"qrCodeUrl": null,
"serviceFeeCharged": 1,
"payerDocument": null,
"payerName": null,
"payerInstitutionIspb": null,
"payerInstitutionName": null,
"receiverDocument": null,
"receiverName": null,
"receiverInstitutionIspb": null,
"receiverInstitutionName": null,
"generatedDocument": null,
"generatedName": null,
"generatedEmail": null,
"endToEndId": null,
"withdrawPixKey": "88888888888",
"withdrawPixType": "cpf",
"paidAt": null,
"createdAt": "2025-11-06T19:08:55.848Z",
"updatedAt": "2025-11-06T19:09:13.602Z",
"clientReference": null,
"refundEndToEndId": null,
"refundAmount": null,
"refundStatus": null,
"refundReason": null,
"refundDescription": null,
"refundedAt": null,
"cancellationReason": "PIX_KEY_NOT_FOUND"
}
]
}{
"statusCode": 400,
"error": "Bad Request",
"message": "querystring/dateFrom Invalid input: expected string, received undefined",
"requestId": "cmou00000abcdef01s6ghij1k2lm"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing or invalid Bearer token",
"requestId": "cmou00000abcdef01s6ghij1k2lm"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found",
"requestId": "cmou00000abcdef01s6ghij1k2lm"
}